# DataExchange
TKXSBase
UnitsMethods

# UnitsMethods Class Reference

`#include <UnitsMethods.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | InitializeFactors (const Standard_Real LengthFactor, const Standard_Real PlaneAngleFactor, const Standard_Real SolidAngleFactor)
| Initializes the 3 factors for the conversion of units .
static Standard_EXPORT Standard_Real | LengthFactor ()
static Standard_EXPORT Standard_Real | PlaneAngleFactor ()
static Standard_EXPORT Standard_Real | SolidAngleFactor ()
static Standard_EXPORT void | Set3dConversion (const Standard_Boolean B)
static Standard_EXPORT Standard_Boolean | Convert3d ()
static Standard_EXPORT Handle_Geom2d_Curve | RadianToDegree (const Handle(Geom2d_Curve)&C, const Handle(Geom_Surface)&S)
static Standard_EXPORT Handle_Geom2d_Curve | DegreeToRadian (const Handle(Geom2d_Curve)&C, const Handle(Geom_Surface)&S)
static Standard_EXPORT Handle_Geom2d_Curve | MirrorPCurve (const Handle(Geom2d_Curve)&C)
static Standard_EXPORT Standard_Real | GetLengthFactorValue (const Standard_Integer param)
| Returns value of unit encoded by parameter param (integer value denoting unit, as described in IGES standard) in millimeters .
static Standard_EXPORT Standard_Real | GetCasCadeLengthUnit ()
| Returns value of current internal unit for CASCADE in millemeters .
static Standard_EXPORT void | SetCasCadeLengthUnit (const Standard_Integer param)
| Sets value of current internal unit for CASCADE by parameter param (integer value denoting unit, as described in IGES standard) GetCasCadeLengthUnit() will then return value equal to GetLengthFactorValue(param) .

## Member Function Documentation

static Standard_EXPORT Standard_Boolean UnitsMethods::Convert3d | ( |  | ) | `[static]`

static Standard_EXPORT Handle_Geom2d_Curve UnitsMethods::DegreeToRadian | ( | const Handle(Geom2d_Curve)& | C,
|  | const Handle(Geom_Surface)& | S
| ) | `[static]`

static Standard_EXPORT Standard_Real UnitsMethods::GetCasCadeLengthUnit | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Real UnitsMethods::GetLengthFactorValue | ( | const Standard_Integer | param | ) | `[static]`

static Standard_EXPORT void UnitsMethods::InitializeFactors | ( | const Standard_Real | LengthFactor,
|  | const Standard_Real | PlaneAngleFactor,
|  | const Standard_Real | SolidAngleFactor
| ) | `[static]`

static Standard_EXPORT Standard_Real UnitsMethods::LengthFactor | ( |  | ) | `[static]`

static Standard_EXPORT Handle_Geom2d_Curve UnitsMethods::MirrorPCurve | ( | const Handle(Geom2d_Curve)& | C | ) | `[static]`

void UnitsMethods::operator delete | ( | void * | anAddress | ) | `[inline]`

void* UnitsMethods::operator new | ( | size_t | size | ) | `[inline]`

void* UnitsMethods::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Real UnitsMethods::PlaneAngleFactor | ( |  | ) | `[static]`

static Standard_EXPORT Handle_Geom2d_Curve UnitsMethods::RadianToDegree | ( | const Handle(Geom2d_Curve)& | C,
|  | const Handle(Geom_Surface)& | S
| ) | `[static]`

static Standard_EXPORT void UnitsMethods::Set3dConversion | ( | const Standard_Boolean | B | ) | `[static]`

static Standard_EXPORT void UnitsMethods::SetCasCadeLengthUnit | ( | const Standard_Integer | param | ) | `[static]`

static Standard_EXPORT Standard_Real UnitsMethods::SolidAngleFactor | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- UnitsMethods.hxx